[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAncestorNotFoundEvent

This event occurs when an ancestor component cannot be found.

## Declaration

Source position: classesh.inc line 1325

`type TAncestorNotFoundEvent = procedure(`
`Reader: TReader;`
`const ComponentName: string;`
`ComponentClass: TPersistentClass;`
`var Component: TComponent`
`) of object;`